import { OnInit } from '@angular/core';
import { OthersCategoryContext } from "./OthersCategoryContext";
import * as i0 from "@angular/core";
export declare class IgxOthersCategoryContextComponent implements OnInit {
    protected createImplementation(): OthersCategoryContext;
    ngOnInit(): void;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): OthersCategoryContext; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgxOthersCategoryContextComponent;
    private onImplementationCreated;
    constructor();
    /**
     * Gets the items in the others category.
    */
    get items(): any[];
    set items(v: any[]);
    static ngAcceptInputType_items: any[] | string;
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected get hasUserValues(): Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxOthersCategoryContextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxOthersCategoryContextComponent, "igx-others-category-context", never, { "items": "items"; }, {}, never, never>;
}
